# Generated by Django 4.2.5 on 2023-09-29 14:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.db.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Animes',
            fields=[
                ('id_anime', models.IntegerField(primary_key=True, serialize=False, verbose_name=django.db.models.fields.AutoField)),
                ('titre', models.CharField(max_length=255)),
                ('mean_score', models.FloatField()),
                ('rang', models.IntegerField()),
                ('image', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='ListesAnimes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name_list', models.CharField(max_length=100)),
                ('id_anime', models.IntegerField()),
                ('id_user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('id_user', 'name_list')},
            },
        ),
    ]
